/*
* @Author: Sebastian Castro
* @Date:   2017-04-05 15:04:49
* @Last Modified by:   Sebastian Castro
* @Last Modified time: 2018-04-25 18:24:08
*/
.modal.page-modal
{
	overflow-x: hidden;

	@media only screen and (max-width: 600px)
	{
		h1 { text-align: center !important; margin-right: 3rem;}
		width: 100%;
		height:100%;
		max-height: 100%;
		top: 0 !important;
	}
	
	@media only screen and (min-width: 601px)
	{
		&.vertical-align {
			top: 50% !important;
			transform: scaleX(1) translate(0, -50%) !important;
		}
	}
	
	.modal-content {
		padding: 24px;
		@media #{$medium-and-up} { padding: 40px 15px; }
		@media #{$large-only} { padding: 40px; }
	}
	
	.btn-back
	{
		float: left;
		font-size: 2rem;
		line-height: 4rem;
		padding: 0 2rem;
		padding-top: .3rem;
		margin-left: -2rem;
		color: white !important;
		
		@media only screen and (min-width: 601px) { display:none; }
	}
	
	
	@media only screen and (min-width: 601px)
	{
		width: 100%;
		max-height: 80%;
	}
	
	@media only screen and (min-width: 1200px)
	{
		min-width: 800px;
		width: 60% !important;
		max-height: 80%;
	}
	
	.modal-content.page-modal-content
	{
		@media #{$small-only} { height: 100%; border-radius: none !important; }
		.page-modal-footer
		{
			text-align: right;
			margin-top: 2rem;
		}
	}
}